package cn.iocoder.yudao.module.promotion.enums.common;

import cn.iocoder.yudao.framework.common.core.ArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 营销的商品范围枚举
 *

 */
@Getter
@AllArgsConstructor
public enum PromotionProductScopeEnum implements ArrayValuable<Integer> {

    ALL(1, "通用券"), // 全部商品
    SPU(2, "商品券"), // 指定商品
    CATEGORY(3, "品类券"), // 指定品类
    ;

    public static final Integer[] ARRAYS = Arrays.stream(values()).map(PromotionProductScopeEnum::getScope).toArray(Integer[]::new);

    /**
     * 范围值
     */
    private final Integer scope;
    /**
     * 范围名
     */
    private final String name;

    @Override
    public Integer[] array() {
        return ARRAYS;
    }

}
